**`GIUSEPPE PERSIANI`[NAME]** -NL- **`PERSONAL DETAILS`[PERSONAL_DETAILS_HEADING]** -NL- Nationality : Italian/U.S.A -NL- E-mail : **`peppix2010@gmail.com`[EMAILS_EMAIL]** -NL- Post Code : London, N13 -NL- Mobile : **`0742 345 0640`[PHONES_PHONE]** -NL- Linkedin : http://www.linkedin.com/in/giuseppepersiani -NL- I like to think about me as a 'clock builder' instead of a 'time teller', If problems arise I cannot immediately -NL- answer, I am sure I will be able to make it to the solution. -NL- I have a proven ability to develop and implement software and architectures in different fields, from -NL- military to social networks to e-commerce to financial applications. -NL- After developing code for more than 2 decades I started developing teams, culture and processes to -NL- make not only software as good as possible but also the work environment in where my teams feel -NL- empowered, trusted, valued. -NL- **`Management Skills Summary`[SKILLS_HEADING]** -NL-  Team selection and management. -NL-  Culture building. -NL-  Processes discovery improvement. implementation -NL-  Built relationship with stakeholders at all levels. -NL-  Agile Coach. -NL-  Innovation streams curator. -NL- TECHNICAL SKILL SUMMARY -NL- Languages/Frameworks: Java, Spring, NodeJS, C/C++, SQL, Salesforce, Apex. -NL- Blockchain -NL- Creator of the ‘Community Coin - a social currency rewarding meaningful actions in communities -NL- worldwide.’ concept, winner of the 2018 Facebook F8 Hackathon in the category: ‘Best solution to Build -NL- and grow community’: https://devpost.com/software/community-coins -NL- REFERENCES AVAILABLE ON REQUEST. RECOMMENDATIONS AVAILABLE VIA LINKEDiN -NL- **`EMPLOYMENT HISTORY`[WORK_EXPERIENCE_HEADING]** -NL- **`Chief Software Engineer `[EMPLOYER_ROLE]**- March 2019 – December 2019 -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]** – London, UK -NL- TCS provides a wide range of information technology-related products and services including application -NL- development, business process outsourcing, capacity planning, consulting, enterprise software, hardware sizing, -NL- payment processing, software management and technology education services. -NL- Working in the retail industry for a big player in the market.  I am currently working as Chief Engineer super- -NL- vising architectural, technological and management decisions together with the client in different work -NL- streams for development in the following areas: Location, Pricing, Products, Wholesale, Franchise, Scaling, -NL- Integration. -NL- Helping to build new teams using modern technologies and methodologies. -NL- Improving the morale and the output of the existing teams. -NL- Travelled to the Chennai and Bangalore Offices to build a training program for recent graduates. This to be -NL- able to provide the client with trained junior engineers to pair with more expert colleagues and to make them -NL- available and ready at speed using the most recent technologies (Kafka, Microservices, Python, AWS, Agile) -NL- Helping to build a stronger technical and managerial partnership with the client, addressing possible techni- -NL- cal and management problems andfinding the best possible solutions. -NL- **`Head of Engineering`[EMPLOYER_ROLE]** - July 2018 – January 2019 -NL- **`ByzGen Ltd `[EMPLOYER_COMPANY_NAME]**– London, UK -NL- ByzGen is the first blockchain company to focus exclusively on the defence sector. Enabling the Defence and -NL- Security sector to be at the vanguard of developing and adopting game-changing blockchain technology is really -NL- exciting. They continue to work closely with the user community, academic experts and fellow commercial -NL- enterprises, to enable the sector to realise the genuine potential of distributed ledger technologies. -NL- Involved in hiring the team for the London office, development of the team engineering culture. -NL- Involved in the study and review of the main Blockchain solutions including the one currently used for -NL- the projects in development. Skipchain. Involved in the daily communication with the Polish team and -NL- management of the interactions between the Polish and UK teams. Managed the development of the -NL- project in partnership with the Australian company Covata where we provide the backend solution of -NL- managing the document security access trough our Blockchain solution. -NL- **`VP of Engineering `[EMPLOYER_ROLE]**- April 2016 – June 2018 -NL- **`Aztech Ltd`[EMPLOYER_COMPANY_NAME]**– London, UK -NL- Azur is a Managing General Agent (MGA), in partnership with AIG Private Client Group, one of the world’s largest -NL- and best-respected insurance companies. Azur is a technology company, emphasising continuous product -NL- development, rapid deployment of new features and a passion bordering on the obsessive for design and the -NL- user experience of brokers and their clients. -NL- Working as Tech Lead initially and later as VP of Engineering for the transition of Azur from a -NL- technology start-up of 4 people to a SME of 50+. My principal occupation was to build and manage -NL- the software development team. Helped to create the cultural aspect of the company, created a -NL- model we call Azurify (from Spotify engineering culture), managed the on boarding of all the -NL- developers. -NL- In software I was involved in the design and implementation of the several projects, focused on -NL- insurance for High Net Worth clients and Emerging Wealth. My duties are: implementation of the -NL- Azurify Engineering Culture (from Spotify), hire the technical team, develop the POC for the initial -NL- phase of the -NL- project. Chairman of the Design Authority for Azur. The projects have been developed mainly in -NL- Salesforce, using configuration of the product and Apex code. Integration of the application with third -NL- party data providers (vehicles, claims etc.) has been developed on the Heroku platform using -NL- NodeJS. Data Persistence in Salesforce and Postgres on Heroku. Developed a Salesforce -NL- Community hub for brokers for the management of their client’s policies, technologies used were -NL- Salesforce Lightning Components, Bootstrap library for the UI. -NL-**` Senior Software Engineer`[EMPLOYER_ROLE]** - July 2014 – March 2016 -NL- **`Ocado Technology`[EMPLOYER_COMPANY_NAME]**, Hatfield – London, UK -NL- Ocado is the world’s largest dedicated online grocery supermarket. Ocado beating heart is a vast, unique -NL- fulfilment and logistics machine powered by research and technology. Every day, brilliant teams devise -NL- innovative solutions that help Ocado to give customers exactly what they ordered – and more. -NL- Working as **`Senior Software Engineer`[EMPLOYER_ROLE]** in the Webshop Grocery teams, developing the E-commerce -NL- Website for the Ocado. In all the projects I was involved the main technologies used were: Java, -NL- Spring, Web-services (JAX-RS), Tag Libraries, Selenium, database: Oracle. I am part of the 'New -NL- Acquisitions' team, involved in the improvement of Ocado's new customers experience. -NL- New Features for the Ocado E-commerce I worked for were: -NL- • Healthify: Show to the customers possible, more healthier, alternatives for the product -NL- in the basket. Technologies used: Java, Spring, Tag Libraries, Jquery, HTML. -NL- • Customers Gifting: Random gift assignment for shopping customers. Technologies -NL- used: Amazon AWS, Web-services, Java, Spring, Tag Libraries, Jquery, HTML. -NL- • Logged Out Shopping: Making possible to customers to shop without being logged -NL- in. Technologies used: Java, Spring, Tag Libraries, JQuery, HTML. -NL- • Search Suggestions: Show search suggestions in real time to customers. Build a -NL- standalone application using Java and Spring Batch modules. Connected to external -NL- web-services and Oracle DB. -NL- • Responsive Catalog Search filters: Involved in the migration of the E-Commerce front-end -NL- redesign to move to responsive devices. Specific implementation for the search and category -NL- filters. Technologies used: Java, Spring, Tag Libraries, Handlebars, JQuery, HTML. -NL- Achievements: -NL- • Managed to improve the customer experience adding the fore mentioned features to Ocado E- -NL- commerce website. -NL- • Managed to improve Ocado's customer experience adding better internal search terms in response to the -NL- terms used by the customers. -NL-**` Senior Software Engineer`[EMPLOYER_ROLE]** - January 2011– May 2014 -NL- **`Harley-Davidson Inc`[EMPLOYER_COMPANY_NAME]**., USA -NL- (remote work from Italy) -NL- **`Harley-Davidson Inc`[EMPLOYER_COMPANY_NAME]**, is an American motorcycle manufacturer. Founded in Milwaukee, Wisconsin during the first -NL- decade of the 20th century, Harley-Davidson sells motorcycles all over the world. -NL- Worked as **`Senior Software Engineer`[EMPLOYER_ROLE]** / Consultant to develop and maintain the company’s corporate -NL- portal built to give Harley-Davidson’s customers and fans the best experience possible. Depending on the -NL- project I worked with teams of 4 to 6 or on individual basis. These projects involved 50% developing the -NL- browser client interface and functionalities and 50% backend integration and development. -NL- I worked on a number of projects for example: -NL- 1. Harley-Davidson User Community Portal –**` Senior Software Engineer`[EMPLOYER_ROLE]** -NL-  I worked with team of 4 developers on functionalities addressing all registered users. -NL- The functionalities I developed were user registration, user login, soft login,user profile -NL- summary and details. -NL-  Created the HTML CSS layout for the pages, Javascript validation and functionalities, -NL- most of the Javascript code used an H-D internally developed library. -NL-  Form data submission was developed using web services; on the server side the code was -NL- developed in Java, using Spring and Hibernate. -NL-  The scope of the project was to create a common base of code to be reused in all the sections of -NL- the website and to allow users to register and access all sections of the site seamlessly -NL- Technologies: Tomcat, Java, Spring, Hibernate, JavaScript, JQuery, CSS, JSON, HTML, -NL- TrimPath, XMLBeans. Agile,Scrum, Continuous Integration. -NL- 2. Harley-Davidson Sweepstake: Marvel Avengers -NL-  In collaboration with Marvel, for the launch of the movie ‘The Avengers’, H-D created 2 -NL- sections of the portal, for the US and Canadian market, to involve fans in creating a new -NL- hero character and a motorcycle. This section involved several steps: user registration and -NL- login, character description, motorcycle creation. -NL-  I used the same code as the previous project but with the frontend layout matching the Avengers style. -NL-  The team size was 5 people and my responsibility was to create the forms frontend and -NL- submission code, both for the client side and the server side. -NL- Technologies:Tomcat, Java, Spring, Hibernate, JavaScript, JQuery, CSS, JSON, HTML, -NL- TrimPath, XMLBeans. Agile, Scrum, Continuous Integration -NL- 3. Iron Elite -NL-  A section of the portal related to the American African riders. Starting from the PSD produced from -NL- the designers I developed this section of the H-D portal. -NL-  Working with a team of 2, I developed the server side code and the front end HTML CSS layout and -NL- JavaScript. -NL- Technologies:Tomcat, Java, Spring, Hibernate, JavaScript, JQuery, CSS, JSON, HTML, TrimPath, -NL- XMLBeans. Agile, Scrum, Continuous Integration -NL- 4. Harley-Davidson portal internationalisation -NL-  H-D pays great attention to the portal localisation and as a result I was tasked to develop -NL- the technology behind the management of the various languages using Java, i18n and -NL- related libraries such as Apache Commons. -NL-  I was involved in the actual implementation of more than 12 languages. -NL- Technologies: Tomcat, Java, Spring, Hibernate, JavaScript, JQuery, CSS, JSON, HTML, -NL- TrimPath, XMLBeans. -NL- Achievements: -NL-  Effectively enhanced the user experience for the Harley-Davidson User Community Portal. -NL- This was achieved by adding the user soft login functionalities so the system was able to -NL- remember the user credentials. I created a common code base for the user forms to be -NL- reused in subsequent projects saving developers time and improving maintenaibility. -NL-  Improved the code creation and maintenance for the Harley-Davidson Sweepstake: Marvel -NL- Avengers project using the common set of code implemented in the previous section. -NL-  Harley-Davidson Portal Internationalisation Project: I implemented the code in a way that adding a new -NL- language to the system involved just the creation of the new language folder and the content files in it. This -NL- significantly improved the workflow and saved development time of at least 50% every new -NL- language implementation. -NL- February 2009 – December 2010 -NL- **`Ioken.com`[EMPLOYER_COMPANY_NAME]**, Los Angeles, USA -NL- A new social networking website where the real time interactivity between users is the main characteristic; -NL- it was launched globally in 2010 with the aim to attract young users from all over the world -NL-**` Senior Software Engineer`[EMPLOYER_ROLE]** / Architect Consultant (Self-employed) and the founder and creator of the website. -NL- I designed and built all of its aspects, from the server administration to the development of the application logic -NL- and design. I managed a graphic artist and a web developer who developed the web site layout and graphics. -NL- 1. **`Ioken.com`[EMPLOYER_COMPANY_NAME]** -NL-  The website is a new web application concept where the content of the pages is entirely -NL- Dynamic HTML that changes using a HTTP push model (COMET) and gives users an -NL- interactive online presence. -NL-  The main difference between **`Ioken.com`[EMPLOYER_COMPANY_NAME]** and other Social Network websites is that once -NL- registered the user impersonates an avatar and visits pages of other users with the -NL- possibility to chat in the vignettes form. -NL-  Users can customise and build their pages just like many other social networks, with the -NL- difference that all the information is pushed, using COMET technology implemented in -NL- DWR. This way anything that changes in a page while other users are on it is shown in real -NL- time to all the users in the same page. -NL- Technologies: Java, Spring Core / Security 2.5, DWR: Ajax library, Hibernate, -NL- Javascript, Yahoo YUI, HTML Database Postgres 8, Tomcat 6. -NL- Achievements: -NL-  I created the website from an initial concept through to completion, using my experience in the previous -NL- projects with COMET / Ajax technologies. The aim was to introduce a new way of interaction between -NL- users and internet pages, making a real time update of the page’s content possible. -NL- July 2008 – January 2009 -NL- **`St. Bernard Software Inc.`[EMPLOYER_COMPANY_NAME]** - San Diego, CA - USA -NL- A global company specialising in email and web security which produces a security tool that prevents in real -NL- time the access to specific websites from specific users to schools banks and government institutions. -NL-**` Senior Software Engineer`[EMPLOYER_ROLE]** on 2 different projects as a sole contributor in conjunction with marketing -NL- and internet security stockholders: -NL- 1. Project 'iGuard Application': -NL-  An internal application used by security analysts to create and rate websites data used by -NL- the main appliance (iPrism). All data that iPrism uses in real time to control the internet -NL- access from users uses the data produced by iGuard, -NL-  My job was to enhance the existing application following the Security Engineers directives and bug -NL- fixing. I worked as a sole contributor. -NL- Technologies:Java, Swing, database Postgres, Eclipse, Scrum. -NL- 2. Project 'New iPrism UI': -NL-  The old iPrism UI was a Java thick client, my assignment was to conduct the analysis, -NL- requirements gathering and new UI design for the product. The UI was redesigned to a -NL- more modern web interface. I worked as a sole contributor. -NL- Technologies: Java Spring 2.5 framework, DWR Ajax libraries, CSS, HTML, database -NL- Postgres, Eclipse, Scrum. -NL- Achievements: -NL-  Introducing Ajax technologies and the asynchronous concept in them to the new iPrism web application -NL- helped Security Engineers to continue working on the application while uploading large sets of data. -NL- February 2008 – June 2008 -NL- **`Sun Microsystems Inc.`[EMPLOYER_COMPANY_NAME]** - Los Angeles, CA - USA -NL- Provider of computers, components, software, IT services, which created the Java programming language and -NL- the Network File System (NFS), evolved key technologies: Unix, RISC Processors, Thin Client Computing, and -NL- virtualized computing. Acquired in 2010 and merged with Oracle it now is called Oracle America Inc. -NL-**` Senior Software Engineer`[EMPLOYER_ROLE]** involved in the integration and development of an existing -NL- application that was acquired, team size was of 4 java developers and 1 manager. -NL- 1. Sun Role manager and Identity Manager -NL-  This application had to be agnostic towards any Identity Management solution in the -NL- market, operating system and database. -NL-  Responsible for the analysis and implementation of the upgrade for the Spring Security -NL- (Acegi) library to the latest version for the new release of the Sun Role Manager Product. -NL-  Took charge of all bugs and enhancements related to the Spring Security module in the application. -NL- UI update using the DWR Ajax library. -NL- Technologies: Java, DWR for the UI Ajax communication, Spring 2.0 core / security, Ibatis. Oracle 10. -NL- Achievements: -NL-  Significantly improved the user experience introducing the Ajax DWR libraries with Spring MVC -NL- avoiding reloading the complete complex pages content for any change that was happening in -NL- them but showing at screen and updating on the server just the specific changes. -NL- February 2005 - October 2007 -NL- **`High Tower Software Inc`[EMPLOYER_COMPANY_NAME]**. Aliso Viejo, CA - USA -NL- High Tower, now BlackStratus, provides reliable and innovative security information event -NL- management (SIEM) products and services globally to financial, military and government sectors. -NL- Worked as **`Senior Software Engineer`[EMPLOYER_ROLE]** involved in the creation and development of a new intranet -NL- application, sole contributor. -NL- 1. ‘Factory’ or 'Corporate Data Repository' -NL-  The application scope was to manage all data used by the Security Appliance developed -NL- by the company. -NL-  It is a web-based application used by Developers, Quality Assurance and Information -NL- Security departments for the management of the life cycle of all data that will be shipped -NL- within the appliance. -NL-  Requirements were gathered from these 3 departments from which functional specification -NL- was developed and the application designed and implemented. -NL-  The main duties of the application were: Data Management, User / Role Management, Data -NL- Flow Management (Security - Q.A. - Runtime), and dynamic generation of Java Classes from -NL- data present in database tables. -NL- Technologies: Spring 1 / 2 core / Acegi, Yahoo YUI, HTML, CSS, Javascript. Oracle 10.3. -NL- Achievements: -NL-  By introducing DWR the Ajax library to this new project, I was able to demonstrate that the use of -NL- an intranet application instead of a typical tick client, enabled comparable performance but with the -NL- added value that the intranet application does not need to be installed in any user location and can -NL- be used from any operating system that has a browser. -NL- December 2003 - January 2005 -NL- **`Document Systems Inc.`[EMPLOYER_COMPANY_NAME]** - Carson, CA - USA -NL- Founded in 1988, DocMagic, Inc. is the largest loan document production company in the U.S. Since its -NL- introduction the flagship product, DocMagic, has revolutionised the mortgage document industry. -NL- Worked as **`Senior Software Engineer`[EMPLOYER_ROLE]** / Consultant involved in two main projects as a sole contributor: -NL- 1. -NL- Project 'ViewMagic': -NL-  Development of a Java MDI client application using Swing and several libraries designed to render the -NL- documents used in loan processing. The data format of the documents is PCL and XHTML. The main -NL- functions of the application are: document rendering, printing, zoom, and mailing. The Java application -NL- was run on 2 different operating systems: Windows and Mac OSX. Worked as a sole -NL- contributor. -NL- Technologies: Java, Swing, Xerces, Xalan, JDOM. -NL- 2. Project 'Dieter' -NL-  Development of a Java command-line application aimed at the conversion of the raster -NL- data present in the PCL files generated from HP printing drivers into the more size and -NL- performance favourable vectorial representation. Proactively improved the data repository -NL- size by at least 50%. Working on the Viewmagic application I noticed all the data was -NL- coming in form of PCL documents in raster format, I then developed this application to -NL- convert the raster data into vector representation reaching a compression factor from ½ to -NL- 1/10 of the original file size being the documents hundreds of thousands the size factor was -NL- important. Converting the data from raster to vector improved performance in time of the -NL- programs that rendered the documents, such as ViewMagic. Worked as a sole contributor. -NL- Technologies: Java, Intellij Idea, Jdbc. -NL- Achievements: -NL-  Working on the Viewmagic I proactively improved the data repository size by at least 50%. -NL- **`EDUCATION & QUALIFICATIONS`[EDUCATION_HEADING]** -NL- 1993 **`L'Aquila University, Italy`[EDUCATION_INSTITUTE]**: "**`Computer Sciences`[EDUCATION_DEGREE]**" BS, 75% complete. -NL- 1986 **`High School Diploma`[EDUCATION_DEGREE]**. **`Industrial Technical State Institute, G. Montani, Fermo, Italy`[EDUCATION_INSTITUTE]**, "**`Computer -NL- Science`[EDUCATION_COURSE]**". -NL- 2002 Certification IBM DB2 UDB V7.1 Family Fundamentals Certified Professional -NL- 